This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 876869 - [ja_JP][SAM Web GUI] Overlapped in Add Permission page and Edit Permission page.
[ja_JP][SAM Web GUI] Overlapped in Add Permission page and Edit Permission page.
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Jason E. Rist
Og Maciel
: i18n
Depends On:
Blocks: sam12-tracker 883055
  Show dependency treegraph
 
Reported: 2012-11-15 02:50 EST by Lijun Li
Modified: 2013-02-26 23:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Web UI updated to handle longer strings in non-English locales.
Story Points: ---
Clone Of:
: 883055 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:19:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Overlapped in Add Permission page (59.87 KB, image/png)
2012-11-15 02:55 EST, Lijun Li
no flags Details
Overlapped in Edit Permission page (66.60 KB, image/png)
2012-11-15 02:55 EST, Lijun Li
no flags Details
Creating role using Japanese locale (54.24 KB, image/png)
2013-01-08 14:18 EST, Og Maciel
no flags Details
Editing role using Japanese locale (54.23 KB, image/png)
2013-01-08 14:19 EST, Og Maciel
no flags Details

  None (edit)
Description Lijun Li 2012-11-15 02:50:21 EST
Description of problem:
Overlapped in Add Permission page and Edit Permission page.

Version-Release number of selected component (if applicable):
katello-headpin-all-1.2.5-1h.el6_3

How reproducible:
100%

Steps to Reproduce:
1. Move cursor over the Administer menu at the top right corner and click on Roles.
2. Create a new role.
3. Click on the name of the created role from the left NAME panel.
4. Click on Permissions.
5. Choose to either select Global Permissions to edit permissions which span across all organizations or select a specific organization to edit permissions within the organization. A list of current permissions within the organization will be displayed after selecting it.
6. Click on + Add Permission.  
7. Click on the permission name.
8. Click Edit Permission button at the bottom of the window.
  
Actual results:
Overlapped in Add Permission page and Edit Permission page.

Expected results:
No overlapped, all the page should be displaeyd as normal.

Additional info:
Comment 1 Lijun Li 2012-11-15 02:55:14 EST
Created attachment 645423 [details]
Overlapped in Add Permission page
Comment 2 Lijun Li 2012-11-15 02:55:37 EST
Created attachment 645424 [details]
Overlapped in Edit Permission page
Comment 3 Tom McKay 2012-11-30 10:35:06 EST
This makes the roles panel very difficult to use. I would say it makes that page unusable. Proposing as blocker.
Comment 4 Jason E. Rist 2012-11-30 12:07:23 EST
Which browser???
Comment 5 Jason E. Rist 2012-12-03 11:52:46 EST
Problem was recreatable in Firefox and Chrome.

Fixed in f9b7ac2eff41791f32158aa993dbe823a7a03428
Comment 6 Satyabrata Maitra 2012-12-05 04:45:04 EST
Yes, In Firefox and Chrome.
Comment 8 Og Maciel 2013-01-08 14:18:54 EST
Created attachment 675029 [details]
Creating role using Japanese locale

Creating role using Japanese locale.
Comment 9 Og Maciel 2013-01-08 14:19:45 EST
Created attachment 675030 [details]
Editing role using Japanese locale

Editing role using Japanese locale
Comment 10 Og Maciel 2013-01-08 14:44:47 EST
Verified on Firefox 17.0.1 / Fedora 18:

* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-11h.el6_3.noarch
* katello-cli-common-1.2.1-11h.el6_3.noarch
* katello-common-1.2.1-12h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.1-12h.el6_3.noarch
* katello-headpin-1.2.1-12h.el6_3.noarch
* katello-headpin-all-1.2.1-12h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch
Comment 12 errata-xmlrpc 2013-02-21 14:19:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.